Bug 248996 - Review Request: libopensync-plugin-synce - Synce plugin for libopensync
Review Request: libopensync-plugin-synce - Synce plugin for libopensync
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 244917
  Show dependency treegraph
 
Reported: 2007-07-20 03:44 EDT by Andreas Bierfert
Modified: 2009-08-31 17:30 EDT (History)
3 users (show)

See Also:
Fixed In Version: 0.22-3.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-16 01:57:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Andreas Bierfert 2007-07-20 03:44:47 EDT
Spec URL: http://fedora.lowlatency.de/review/libopensync-plugin-synce.spec
SRPM URL: http://fedora.lowlatency.de/review/libopensync-plugin-synce-0.22-2.src.rpm
Description:
Synce plugin for libopensync
Comment 1 Parag AN(पराग) 2007-07-20 05:42:58 EDT
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and for RPMs.
+ source files match upstream.
f325b7dd9f273c46e77fb7b337325880  libopensync-plugin-synce-0.22.tar.bz2
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
- dist tag is NOT present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is small so no need of -doc subpackage.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no static libraries.
+ no .pc files are present.
+ no -devel subpackage exists.
+ no .la files.
+ no translations available.
+ Does owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ shared libraries scriptlet used.
+ Provides: synce_plugin.so
+ Requires(interp): /sbin/ldconfig /sbin/ldconfig
+ Requires: libc.so.6 libc.so.6(GLIBC_2.0) libc.so.6(GLIBC_2.1.3)
libc.so.6(GLIBC_2.3.4) libc.so.6(GLIBC_2.4) libglib-2.0.so.0 libopensync.so.0
librapi.so.2 librra.so.0 libsynce.so.0 libxml2.so.2 rtld(GNU_HASH)
+Not a GUI App.
APPROVED.
Comment 2 Andreas Bierfert 2007-07-20 05:48:39 EDT
New Package CVS Request
=======================
Package Name: libopensync-plugin-synce
Short Description: Synce plugin for libopensync
Owners: andreas.bierfert@lowlatency.de
Branches: FC-6 F-7
Comment 3 Kevin Kofler 2007-07-20 07:50:59 EDT
The changelog says:
- add obsoletes as discussed in #244917
but it looks like you forgot the actual Obsoletes.
Comment 4 Andreas Bierfert 2007-07-20 07:57:22 EDT
Ups... now that you say that +) I will add them after import. Thanks for
pointing it out.
Comment 5 Parag AN(पराग) 2007-08-16 01:55:40 EDT
any progress? Can this be closed now?
Comment 6 Kevin Kofler 2007-08-16 01:57:49 EDT
It has been pushed already.
Comment 7 Andreas Bierfert 2009-08-30 17:39:31 EDT
Package Change Request
======================
Package Name: libopensync-plugin-synce
New Branches: F-10
Owners: awjb
Comment 8 Jason Tibbitts 2009-08-31 14:28:20 EDT
CVS done (although I'm confused as to how this ended up with F-9 and F-11 branches but no F-10 branch).
Comment 9 Kevin Kofler 2009-08-31 17:30:08 EDT
Because F10 shipped with the libopensync 0.3x development version. There are plans to revert everything to 0.22 because the 0.3x versions are just broken.

Note You need to log in before you can comment on or make changes to this bug.